PTS_INTERACTIVE(1)

NAME
pts interactive - Enters interactive mode

SYNOPSIS
pts interactive << [-cell] <cell name >>> [-noauth]
    [-force]

pts in << [-c] <cell name >>> [-n] [-f]

DESCRIPTION
The pts interactive command allows the user to enter an interactive mode, useful for running bulk commands like creating new users or groups.

CAUTIONS
Prior to OpenAFS 1.4.5 and OpenAFS 1.5.23, the pts interactive command was only available on Unix or Linux and when OpenAFS was compiled with the supergroups option (disabled by default). As of OpenAFS 1.4.5 and 1.5.23, it is always available.

Running bulk pts commands may degrade the performance of the Protection Server while they are run and server resources may not be released immediately after commands are run. The pts sleep command can be used in interactive mode or with pts source to give the Protection Server a change to catch up.

OPTIONS
pts interactive only takes the standard pts options.

-cell <cell name>
    Names the cell in which to run the command. For more details, see the pts(1) manpage.

-force
    Enables the command to continue executing as far as possible when errors or other problems occur, rather than halting execution at the first error. This is useful for bulk operations where you would like to continue even if one of many operations fails.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see the pts(1) manpage.

OUTPUT
The output is the same as if each individual command were run from the command line.

EXAMPLES
Here is an example of a pts interactive session:

   % pts interactive
   pts> examine admin
   Name: admin, id: 1, owner: system:administrators, creator: anonymous,
     membership: 2, flags: S----, group quota: 20.
   pts> help
   pts: Commands are:
   adduser         add a user to a group
   apropos         search by help text
   chown           change ownership of a group
   creategroup     create a new group
   createuser      create a new user
   delete          delete a user or group from database
   examine         examine an entry
   help            get help on commands
   interactive     enter interactive mode
   listentries     list users/groups in the protection database
   listmax         list max id
   listowned       list groups owned by an entry or zero id gets orphaned groups
   membership      list membership of a user or group
   quit            exit program
   removeuser      remove a user from a group
   rename          rename user or group
   setfields       set fields for an entry
   setmax          set max id
   sleep           pause for a bit
   source          read commands from file
   pts> quit
   %

PRIVILEGE REQUIRED
The same privilege is required to run the command in interactive mode as is required to run the command by itself on the command line. Some commands such as pts createuser require that the user belong to the system:administrators group, while others do not.

SEE ALSO
the pts(1) manpage, the pts_quit(1) manpage, the pts_sleep(1) manpage, the pts_source(1) manpage, the ptserver(8) manpage

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Jason Edgecombe for OpenAFS.